Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.imp.objects.Attributes
              de.grogra.imp3d.objects.Attributes
                  de.grogra.rgg.Attributes

Direct Known Subclasses:
  Attributes, Attributes

    public class Attributes

extends Attributes

Field Summary
`static I18NBundle` | `I18N`
`static IntAttribute` | `STATE`

Fields inherited from class de.grogra.imp3d.objects.Attributes
`A, AREA_LIGHT, AXIS, B, BASE_OPEN, CSG_COMPLEMENT, CSG_DIFFERENCE, CSG_INTERSECTION, CSG_NONE, CSG_OPERATION, CSG_OPERATION_TYPE, CSG_UNION, END_POSITION, EXPORTED_TRANSFORMATION, EXPORTED_TRANSFORMATION_TYPE, INTERIOR, LIGHT, M1, M2, N11, N12, N13, N21, N22, N23, OPEN, PER_VERTEX_SIZE, POLYGONS, SCALE_V, SHADER, SHAPE, SHIFT_PIVOT, START_POSITION, TOP_OPEN, TRANSFORM, TRANSFORMATION, TREATED_AS_INFINITE, VISIBLE_SIDES, VISIBLE_SIDES_BACK, VISIBLE_SIDES_BOTH, VISIBLE_SIDES_FRONT, VISIBLE_SIDES_TYPE`

Fields inherited from class de.grogra.imp.objects.Attributes
`ANGLE, BASE_RADIUS, CAPTION, COLOR, CONTINUOUS_VERTICAL_ALIGNMENT, CURVE, FILL_COLOR, FILLED, FLATNESS, FLOAT_DATA, FONT, H_ALIGN_CENTER, H_ALIGN_LEFT, H_ALIGN_RIGHT, HEIGHT, HORIZONTAL_ALIGNMENT, HORIZONTAL_ALIGNMENT_TYPE, LENGTH, OUTLINED, RADIUS, SCALE, SURFACE, TOP_RADIUS, TRANSFORMING, V_ALIGN_BOTTOM, V_ALIGN_CENTER, V_ALIGN_TOP, VALUE, VERTEX_GRID, VERTEX_LIST, VERTICAL_ALIGNMENT, VERTICAL_ALIGNMENT_TYPE, WIDTH`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class de.grogra.imp3d.objects.Attributes
`isVisible`

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N

    public static final I18NBundle I18N

### STATE

    public static final IntAttribute STATE

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD